Package org.apache.wiki.tags

# Class InsertDiffTag

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
org.apache.wiki.tags.WikiTagBase
org.apache.wiki.tags.InsertDiffTag

All Implemented Interfaces:
  `Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`, `javax.servlet.jsp.tagext.TryCatchFinally`

public class InsertDiffTag extends WikiTagBase
Writes difference between two pages using a HTML table. If there is no difference, includes the body.

Attributes

- page - Page name to refer to. Default is the current page.

Since:
  2.0
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATTR_NEWVERSION`
Attribute which is used to store the new page content to the Page Context
`static final String`
`ATTR_OLDVERSION`
Attribute which is used to store the old page content to the Page Context
`protected String`
`m_pageName`

### Fields inherited from class org.apache.wiki.tags.WikiTagBase

`m_wikiContext`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`InsertDiffTag()`

## Method Summary

Modifier and Type
Method
Description
`final int`
`doWikiStartTag()`
This method is allowed to do pretty much whatever he wants.
`String`
`getPage()`
Gets the page name.
`void`
`initTag()`
This method is called when the tag is encountered within a new request, but before the setXXX() methods are called.
`void`
`setPage(String page)`
Sets the page name.

### Methods inherited from class org.apache.wiki.tags.WikiTagBase

`doCatch, doEndTag, doFinally, doStartTag, setId, setPageContext`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ATTR_OLDVERSION

public static final String ATTR_OLDVERSION
Attribute which is used to store the old page content to the Page Context

See Also:
  - Constant Field Values

### ATTR_NEWVERSION

public static final String ATTR_NEWVERSION
Attribute which is used to store the new page content to the Page Context

See Also:
  - Constant Field Values

### m_pageName

protected String m_pageName

## Constructor Details

### InsertDiffTag

public InsertDiffTag()

## Method Details

### initTag

public void initTag()
This method is called when the tag is encountered within a new request, but before the setXXX() methods are called. The default implementation does nothing.

Overrides:
  `initTag` in class `WikiTagBase`

### setPage

public void setPage(String page)
Sets the page name.

Parameters:
  `page` - Page to get diff from.

### getPage

public String getPage()
Gets the page name.

Returns:
  The page name.

### doWikiStartTag

public final int doWikiStartTag() throws IOException
This method is allowed to do pretty much whatever he wants. We then catch all mistakes.

Specified by:
  `doWikiStartTag` in class `WikiTagBase`
Throws:
  `IOException`